[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| CorrelationVisitor Class Reference Machine Learning |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for CorrelationVisitor:

List of all members.

## Public Member Functions
template<class Tree , class Split , class Region , class Feature_t , class Label_t >
void | visit_after_split (Tree &tree, Split &split, Region &parent, Region &leftChild, Region &rightChild, Feature_t &features, Label_t &labels)
template<class RF , class PR >
void | visit_at_end (RF const &rf, PR const &pr)
## Public Attributes
MultiArray< 2, double > | corr_noise
MultiArray< 2, double > | distance
MultiArray< 2, double > | gini_missc
MultiArray< 2, double > | noise
ArrayVector< int > | numChoices
MultiArray< 2, double > | similarity

## Detailed Description

Computes Correlation/Similarity Matrix of features while learning random forest.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)